Skip to main content
POST
/
datasets
/
{dataset_id}
/
documents
/
{document_id}
/
segments
/
{segment_id}
/
child_chunks
Error
A valid request URL is required to generate request examples
{
  "data": {
    "id": "d7e8f9a0-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
    "segment_id": "f3d1c7be-9f3a-40d8-8eb8-3a1ef9c3f2c1",
    "content": "Dify is an open-source platform.",
    "position": 1,
    "word_count": 6,
    "type": "automatic",
    "created_at": 1741267200,
    "updated_at": 1741267200
  }
}

Documentation Index

Fetch the complete documentation index at: https://dify-6c0370d8-docs-sync-pr-768.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Path Parameters

dataset_id
string<uuid>
required

Knowledge base ID.

document_id
string<uuid>
required

Document ID.

segment_id
string<uuid>
required

Chunk ID.

Body

application/json
content
string
required

Child chunk text content.

Response

Child chunk created successfully.

data
object